A list of the VLANs
Sources for this description
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.171.10.76.5.13.1
A list of the VLANs
Identification
{1 3 6 1 4 1 171 10 76 5 13 1}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
tvlanTable OBJECT-TYPE
SYNTAX SEQUENCE OF TvlanEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A list of the VLANs"
::= { companyTVlanGroup 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
A list of the VLANs
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: tvlanTable
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"tvlanTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"TvlanEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A list of the VLANs\"",
"::=",
"{",
"companyTVlanGroup",
"1",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"TvlanEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A list of the VLANs"
],
null,
null,
null,
null
]
}Module: DGS-1224T-D1-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-SMI': ['Unsigned32'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Related source files and packages:
Module: DGS-1224T-DX-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-SMI': ['Unsigned32'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DGS-1224T-DX-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-SMI': ['Unsigned32'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.10.76.5.13.1.1 | tvlanEntry | 5 | 5 |
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.10.76.5.13.2 | tvlanManagementOnOff | 0 | 0 | |
| 1.3.6.1.4.1.171.10.76.5.13.3 | tvlanManagementid | 0 | 0 | |
| 1.3.6.1.4.1.171.10.76.5.13.4 | tvlanPortTable | 1 | 3 | |
| 1.3.6.1.4.1.171.10.76.5.13.5 | tvlanAsyOnOff | 0 | 0 |